//
//  Scroller.swift
//  MVMCoreUI
//
//  Created by Scott Pfeil on 7/23/19.
//  Copyright © 2019 Verizon Wireless. All rights reserved.
//

import UIKit

@objcMembers open class Scroller: MoleculeContainer {
    public let scrollView = UIScrollView(frame: .zero)
    public let contentView = MVMCoreUICommonViewsUtility.commonView()

    override open func setupView() {
        super.setupView()
        guard scrollView.superview == nil else {
            return
        }
        translatesAutoresizingMaskIntoConstraints = false
        scrollView.translatesAutoresizingMaskIntoConstraints = false
        addSubview(scrollView)
        NSLayoutConstraint.constraintPinSubview(toSuperview: scrollView)
        contentView.translatesAutoresizingMaskIntoConstraints = false
        scrollView.addSubview(contentView)
        NSLayoutConstraint.constraintPinSubview(toSuperview: contentView)
        let constraint = contentView.widthAnchor.constraint(equalTo: scrollView.widthAnchor, multiplier: 1.0)
        constraint.priority = UILayoutPriority(rawValue: 999)
        constraint.isActive = true
    }
    
    public override func addAndContain(_ view: UIView) {
        view.translatesAutoresizingMaskIntoConstraints = false
        contentView.addSubview(view)
        containerHelper.constrainView(view)
        self.view = view
    }
}
